<#
.SYNOPSIS
An install script for installing Rebar3 via Chocolatey

.NOTES
Author: Luke Bakken - luke@bakken.io
Version: 1.0.0
#>
$ErrorActionPreference = 'Stop'

New-Variable -Name package -Value 'rebar3' -Option Constant
New-Variable -Name rebar3_version -Value '3.20.0' -Option Constant

New-Variable -Name tools_path -Option Constant `
  -Value (Split-Path -Parent $MyInvocation.MyCommand.Definition)

New-Variable -Name rebar3_file -Option Constant `
  -Value (Join-Path -Path $tools_path -ChildPath 'rebar3')

New-Variable -Name rebar3_cmd -Option Constant `
  -Value (Join-Path -Path $tools_path -ChildPath 'rebar3.cmd')

$params = @{
  PackageName = $package
  CheckSum = '31e5867c2d13aa8972db23253ac39b46710d6a0720d0a8941bc19ea2ad4ea100'
  CheckSumType = 'sha256'
  Url = "https://github.com/erlang/rebar3/releases/download/$rebar3_version/rebar3"
  FileFullPath = $rebar3_file
}

Get-ChocolateyWebFile @params

Install-BinFile -Name 'rebar3' -Path $rebar3_cmd

